Subject: Re: Building C++ library DLL
From: Steve Jorgensen <[email-masked]>
To: "vincent penne" <[email-masked]>
Cc: "Mumit Khan" <[email-masked]>, <[email-masked]>
Date: Fri, 12 Nov 1999 13:05:17 -0700 (MST)

I'm not sure if this happens for C++, because this only happened
	for me, but I found that if things were exported more than once
	from the library, the extra compiler directives for DLL's caused
	the CD compiler (gcc 2.90?) to barf, so you might check to see
	you're class isn't getting exported more than once.

						Steve

> -----Message d'origine-----
> >
> >It should work. Why not just try it out?
> >
> >

> I tryed on a simple example, and it turned out that one problem came from
> the fact that the extenstion of my objects was not .o but .dllo (it's
> because I was creating a static library at the same time).
> It seems dllwrap only works when it is given some .o objects ...

> My simple example works then ...

> But with a more complicate library, I still have some internal compiler
> error when using class that are defined as
> class __declspec(dllimport) foo

> Here is an example of such message :

> ././Fl_Menu_Type.cxx:469: Internal compiler error, output_operand_lossage
> `inval
> id expression as operand'

> The line where it crashes is a declaration of a variable of type foo, it is
> not a variable of the library, but a variable of the program that uses it
> ...

> I am using gcc 2.95, but I encountered some internal errors with egcs too
> (however I'm not sure they were happening at the same points, I might try
> this now ...)

> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

-----------------------------------------------------------
Steven Jorgensen      [email-masked]	    [email-masked]
------------------------------+----------------------------
Khoral Research Inc.          | PHONE: (505) 837-6500
6200 Uptown Blvd, Suite 200   | FAX:   (505) 881-3842
Albuquerque, NM 87110         | URL: http://www.khoral.com/
-----------------------------------------------------------

--
Want to unsubscribe from this list?
Send a message to [email-masked]